Cyberduck Mountain Duck CLI

#5822 closed defect (thirdparty)

Purge files with delimiters in object key fails

Reported by: Tcwebb Owned by: dkocher
Priority: high Milestone: 4.0.2
Component: cloudfiles Version: 4.0.1
Severity: major Keywords: CND invalidate rackspace escape escaped slash
Cc: tim@… Architecture:
Platform: Windows 7

Description (last modified by dkocher)

If you have containers more than 2 levels deep in Rackspace cloud files, the URL in the DELETE request for invalidating the CDN's object is improperly formatted. The /s are escaped as %2F. To recreate the problem. Run CD, login to rackspace, create an image or file thats several 'folders' deep, then attempt to invalidate the CDN's cache. It will throw exception. Take a look at the request's URL -- its escaped improperly for "/"'s... We were able to successfully formulate a request by manually reformatting the improperly escaped character.

Change History (9)

comment:1 Changed on Mar 23, 2011 at 7:59:37 AM by dkocher

  • Milestone changed from 4.2 to 4.0.2
  • Status changed from new to assigned

comment:2 Changed on Mar 23, 2011 at 12:47:52 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from assigned to closed

I think this is a bug with Rackspace. The API should accept a key that is fully URI encoded. I will discuss this with Rackspace.

comment:3 Changed on Mar 23, 2011 at 3:23:32 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Mar 24, 2011 at 9:59:49 PM by dkocher

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:5 Changed on Mar 24, 2011 at 10:20:22 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r8598.

Last edited on Mar 24, 2011 at 10:21:09 PM by dkocher (previous) (diff)

comment:6 Changed on Mar 25, 2011 at 9:35:35 AM by dkocher

  • Summary changed from Rackspace CDN url formatting improperly escaped to Purge files with delimiters in object key fails

comment:7 Changed on Mar 25, 2011 at 9:39:26 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

I receive now the error Bad Request. from the Rackspace servers with the change applied.

DELETE /v1/MossoCloudFS_c3fe4d48-19b5-4040-abbd-90381795f84d/sudo/India%20-%20Andaman%20Islands%20-%20Nepal%20-%20China%202010/IMG_2157.JPG HTTP/1.1
X-Auth-Token: XXXXXXXXXXXXXXXXXXXXXXXXXX
Host: cdn.clouddrive.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.0.2 (Mac OS X/10.6.7) (i386)
HTTP/1.1 400 Bad Request
Date: Fri, 25 Mar 2011 09:37:50 GMT
Server: Apache
X-Akam-Est-Time: -1
X-Akam-Result-Code: 322
Content-Length: 0
Connection: close
Content-Type: text/plain; charset=UTF-8
Last edited on Sep 2, 2011 at 2:25:22 PM by dkocher (previous) (diff)

comment:8 follow-up: Changed on Mar 25, 2011 at 10:07:08 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

I suppose the issue will be fixed by Rackspace. Currently purging fails for any object key.

comment:9 in reply to: ↑ 8 Changed on Sep 2, 2011 at 2:22:16 PM by dkocher

Replying to dkocher:

I suppose the issue will be fixed by Rackspace. Currently purging fails for any object key.

This was reported to be an issue with Rackspace/Akamai to be fixed on the server side.

Note: See TracTickets for help on using tickets.
swiss made software